Name:    analitza
Summary: Library of mathematical features
Version: 4.10.2
Release: 1%{?dist}

License: GPLv2+
URL:     https://projects.kde.org/projects/kde/kdeedu/analitza
%global revision %(echo %{version} | cut -d. -f3)
%if %{revision} >= 50
%global stable unstable
%else
%global stable stable
%endif
Source0:  http://download.kde.org/%{stable}/%{version}/src/%{name}-%{version}.tar.xz

BuildRequires: kdelibs-devel >= %{version}
BuildRequires: readline-devel

Requires: kdelibs4%{?_isa}%{?_kde4_version: >= %{_kde4_version}}

Conflicts: kalgebra < 4.7.80

Obsoletes: kalgebra-libs < 4.7.80
Provides:  kalgebra-libs = %{version}-%{release} 

%description
%{summary}.

%package devel
Summary: Developer files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: kdelibs4-devel
%description devel
%{summary}.


%prep
%setup -q 


%build
mkdir -p %{_target_platform}
pushd %{_target_platform}
%{cmake_kde4} ..
popd

make %{?_smp_mflags} -C %{_target_platform}


%install
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}


%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%doc COPYING TODO
%{_kde4_appsdir}/libanalitza/
%{_kde4_bindir}/calgebra
%{_kde4_libdir}/libanalitza.so.4*
%{_kde4_libdir}/libanalitzagui.so.4*
%{_kde4_libdir}/libanalitzaplot.so.4*

%files devel
%{_kde4_includedir}/analitza/
%{_kde4_includedir}/analitzagui/
%{_kde4_includedir}/analitzaplot/
%{_kde4_libdir}/libanalitza.so
%{_kde4_libdir}/libanalitzagui.so
%{_kde4_libdir}/libanalitzaplot.so
%{_kde4_libdir}/cmake/analitza/


%changelog
* Fri Apr 05 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.2-1
- Built for Fuduntu

* Fri Apr 05 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.2-1
- Built for Fuduntu

* Sat Mar 16 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Sat Mar 16 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.1-1
- Built for Fuduntu

* Wed Mar 06 2013 Shawn W Dunn <sfalken@fuduntu.org> - 4.10.0-1
- Built for Fuduntu

* Fri Feb 22 2013 %packager Shawn W Dunn <sfalken@gmail.com> - 4.10.0-1
- Built for Fuduntu

* Fri Feb 01 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.10.0-1
- 4.10.0

* Sun Jan 20 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.98-1
- 4.9.98

* Fri Jan 04 2013 Rex Dieter <rdieter@fedoraproject.org> - 4.9.97-1
- 4.9.97

* Wed Dec 19 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.95-1
- 4.9.95

* Mon Dec 03 2012 Rex Dieter <rdieter@fedoraproject.org> 4.9.90-1
- 4.9.90 (4.10 beta2)

* Mon Dec 03 2012 Than Ngo <than@redhat.com> - 4.9.4-1
- 4.9.4

* Fri Nov 02 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.3-1
- 4.9.3

* Fri Sep 28 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.9.2-1
- 4.9.2

* Mon Sep 03 2012 Than Ngo <than@redhat.com> - 4.9.1-1
- 4.9.1

* Thu Jul 26 2012 Lukas Tinkl <ltinkl@redhat.com> - 4.9.0-1
- 4.9.0

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.8.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 11 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.97-1
- 4.8.97

* Wed Jun 27 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.95-1
- 4.8.95

* Sat Jun 09 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.90-1
- 4.8.90

* Fri Jun 01 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.80-1
- 4.8.80

* Mon Apr 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.3-1
- 4.8.3

* Fri Mar 30 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.2-1
- 4.8.2

* Mon Mar 05 2012 Jaroslav Reznik <jreznik@redhat.com> - 4.8.1-1
- 4.8.1

* Sun Jan 22 2012 Rex Dieter <rdieter@fedoraproject.org> - 4.8.0-1
- 4.8.0

* Fri Jan 13 2012 Rex Dieter <rdieter@fedoraproject.org> 4.7.97-3
- Obsoletes: kalgebra-libs

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 4.7.97-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Wed Jan 04 2012 Radek Novacek <rnovacek@redhat.com> - 4.7.97-1
- 4.7.97

* Thu Dec 22 2011 Radek Novacek <rnovacek@redhat.com> - 4.7.95-1
- 4.7.95

* Sun Dec 04 2011 Rex Dieter <rdieter@fedoraproject.org> - 4.7.90-1
- 4.7.90

* Thu Dec 01 2011 Rex Dieter <rdieter@fedoraproject.org> 4.7.80-2
- BR: readline-devel

* Fri Nov 25 2011 Rex Dieter <rdieter@fedoraproject.org>  4.7.80-1
- first try 

